浏览代码

kpt: 修改docker-composer文件

Yi 3 年之前
父节点
当前提交
07e5cb584a
共有 79 个文件被更改,包括 885 次插入21 次删除
  1. 0 15
      ffff/.drone.yml
  2. 0 3
      ffff/README.md
  3. 二进制
      gogs-drone/drone/data/database.sqlite
  4. 34 0
      gogs-drone/drone/docker-compose.yml
  5. 5 0
      gogs-drone/gogs/data/git/.gitconfig
  6. 1 0
      gogs-drone/gogs/data/git/.ssh/environment
  7. 1 0
      gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/HEAD
  8. 5 0
      gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/config
  9. 1 0
      gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/description
  10. 15 0
      gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/hooks/applypatch-msg.sample
  11. 24 0
      gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/hooks/commit-msg.sample
  12. 2 0
      gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/hooks/post-receive
  13. 8 0
      gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/hooks/post-update.sample
  14. 14 0
      gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/hooks/pre-applypatch.sample
  15. 49 0
      gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/hooks/pre-commit.sample
  16. 13 0
      gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/hooks/pre-merge-commit.sample
  17. 53 0
      gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/hooks/pre-push.sample
  18. 169 0
      gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/hooks/pre-rebase.sample
  19. 2 0
      gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/hooks/pre-receive
  20. 24 0
      gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/hooks/pre-receive.sample
  21. 42 0
      gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/hooks/prepare-commit-msg.sample
  22. 78 0
      gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/hooks/push-to-checkout.sample
  23. 2 0
      gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/hooks/update
  24. 128 0
      gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/hooks/update.sample
  25. 6 0
      gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/info/exclude
  26. 1 0
      gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/info/refs
  27. 二进制
      gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/objects/0a/627ae022ebc6b265c3e95d47d3a0f0ce580ed4
  28. 二进制
      gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/objects/10/8ade9d1303875a9016eb82bf7ba6b3ee0ce27d
  29. 二进制
      gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/objects/32/ddefa4dbdb6c9c314d175eb1f3fecf938ea196
  30. 1 0
      gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/objects/34/1372ece23ae618b77d697d4b9555ff2a4bc33d
  31. 4 0
      gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/objects/79/3f9405dd683efe78e3c8dd35b7451fe8669c41
  32. 二进制
      gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/objects/7d/2fcc429a5eb4b8f0efad120ab383677e83af72
  33. 二进制
      gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/objects/a1/949a636630f64492ca574f2ccbd117f08f05ad
  34. 二进制
      gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/objects/b2/562be82f53aa3ddcdaa7aad3909476e5c748fe
  35. 二进制
      gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/objects/c0/3a12829280e42e6bbab7f01dafa74a82faa7cb
  36. 二进制
      gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/objects/c0/76ccd5abd9ea148bbbc368024bd04e5a745513
  37. 二进制
      gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/objects/c8/4fb8c5290f810a04be4eb63acb438397759019
  38. 二进制
      gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/objects/ca/7ed55c01b72852fb46981aa810a7a91e1371aa
  39. 二进制
      gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/objects/f6/f6b5ed271d1511afa74ac801df2e37a691d607
  40. 二进制
      gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/objects/fa/2792a0783ab4caff45b5f38c0cc7bc20f684aa
  41. 二进制
      gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/objects/fa/75aab8e3305a550b5cdcf106e78701ba7b5835
  42. 1 0
      gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/objects/info/packs
  43. 1 0
      gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/refs/heads/master
  44. 55 0
      gogs-drone/gogs/data/gogs/conf/app.ini
  45. 二进制
      gogs-drone/gogs/data/gogs/data/sessions/0/3/03ee1e544696477b
  46. 二进制
      gogs-drone/gogs/data/gogs/data/sessions/1/8/18bc212491b9cc2e
  47. 二进制
      gogs-drone/gogs/data/gogs/data/sessions/2/e/2e918ff0440ec337
  48. 二进制
      gogs-drone/gogs/data/gogs/data/sessions/3/8/380f231c30c06c0a
  49. 二进制
      gogs-drone/gogs/data/gogs/data/sessions/4/4/4412fd3de7f7a077
  50. 二进制
      gogs-drone/gogs/data/gogs/data/sessions/4/4/441a4e73150058de
  51. 二进制
      gogs-drone/gogs/data/gogs/data/sessions/4/a/4aed56baae15fb93
  52. 二进制
      gogs-drone/gogs/data/gogs/data/sessions/5/6/5645473b245fa5f5
  53. 二进制
      gogs-drone/gogs/data/gogs/data/sessions/7/b/7b11b4b87e145fd0
  54. 二进制
      gogs-drone/gogs/data/gogs/data/sessions/7/b/7bd4a34a8f43a448
  55. 二进制
      gogs-drone/gogs/data/gogs/data/sessions/8/4/842a8e584dcee33d
  56. 二进制
      gogs-drone/gogs/data/gogs/data/sessions/9/b/9bcd2640a267ceb4
  57. 二进制
      gogs-drone/gogs/data/gogs/data/sessions/a/6/a6cee30b830218d7
  58. 二进制
      gogs-drone/gogs/data/gogs/data/sessions/c/a/caf950172a1667f9
  59. 二进制
      gogs-drone/gogs/data/gogs/data/sessions/d/c/dc19ef272672a841
  60. 11 0
      gogs-drone/gogs/data/gogs/log/gogs.log
  61. 18 0
      gogs-drone/gogs/data/gogs/log/gorm.log
  62. 0 0
      gogs-drone/gogs/data/gogs/log/hooks/post-receive.log
  63. 0 0
      gogs-drone/gogs/data/gogs/log/hooks/pre-receive.log
  64. 0 0
      gogs-drone/gogs/data/gogs/log/hooks/update.log
  65. 4 0
      gogs-drone/gogs/data/gogs/log/hooks/xorm.log
  66. 0 0
      gogs-drone/gogs/data/gogs/log/xorm.log
  67. 21 0
      gogs-drone/gogs/data/ssh/ssh_host_dsa_key
  68. 1 0
      gogs-drone/gogs/data/ssh/ssh_host_dsa_key.pub
  69. 9 0
      gogs-drone/gogs/data/ssh/ssh_host_ecdsa_key
  70. 1 0
      gogs-drone/gogs/data/ssh/ssh_host_ecdsa_key.pub
  71. 7 0
      gogs-drone/gogs/data/ssh/ssh_host_ed25519_key
  72. 1 0
      gogs-drone/gogs/data/ssh/ssh_host_ed25519_key.pub
  73. 38 0
      gogs-drone/gogs/data/ssh/ssh_host_rsa_key
  74. 1 0
      gogs-drone/gogs/data/ssh/ssh_host_rsa_key.pub
  75. 13 0
      gogs-drone/gogs/docker-compose.yml
  76. 11 0
      kpt-event/consumer/docker-composer.yml
  77. 7 0
      kpt-event/consumer/restart.sh
  78. 2 2
      kpt-event/http/docker-composer.yml
  79. 1 1
      kpt-event/http/restart.sh

+ 0 - 15
ffff/.drone.yml

@@ -1,15 +0,0 @@
-kind: pipeline
-type: docker
-name: default
-
-steps:
-- name: test
-  image: golang:1.17.1
-  commands:
-    - env
-    - export IMAGE_TAG=${CI_BUILD_TAG:-${CI_BUILD_REF_NAME}-${CI_BUILD_REF:0:8}}
-    - export DEPLOY_IMAGE=${DEPLOY_REGISTRY}/${DOCKER_NS}/sayam:${IMAGE_TAG}
-    - docker build -t ${IMAGE} -f Dockerfile .
-    - docker push ${IMAGE}
-    - echo ${DEPLOY_IMAGE}
-    - docker rmi ${IMAGE}

+ 0 - 3
ffff/README.md

@@ -1,3 +0,0 @@
-# ffff
-
-ggg

二进制
gogs-drone/drone/data/database.sqlite


+ 34 - 0
gogs-drone/drone/docker-compose.yml

@@ -0,0 +1,34 @@
+version : '3'
+services:
+  drone-server:
+    container_name: drone-server
+    restart: always
+    image: drone/drone:2
+    ports:
+      - "3080:80"
+    volumes:
+      - ./data:/data
+    environment:
+      - TZ=Asia/Shanghai
+      - DRONE_AGENTS_ENABLED=true
+      - DRONE_GOGS_SERVER=http://192.168.217.1:13000
+      - DRONE_RPC_SECRET=ping-secret
+      - DRONE_SERVER_HOST=192.168.217.1:3080
+      - DRONE_SERVER_PROTO=http
+      - DRONE_USER_CREATE=username:ping,admin:true
+
+  drone-runner-docker:
+    container_name: drone-runner-docker
+    image: drone/drone-runner-docker:1
+    ports:
+      - "3000:3000"
+    restart: always
+    volumes:
+      - /var/run/docker.sock:/var/run/docker.sock
+    environment:
+      - DRONE_RPC_PROTO=http
+      - DRONE_RPC_HOST=192.168.217.1:3080
+      - DRONE_RPC_SECRET=ping
+      - DRONE_RUNNER_CAPACITY=2
+      - DRONE_RUNNER_NAME=my-first-runner
+      - TZ=Asia/Shanghai

+ 5 - 0
gogs-drone/gogs/data/git/.gitconfig

@@ -0,0 +1,5 @@
+[user]
+	name = Gogs
+	email = gogs@fake.local
+[core]
+	quotepath = false

+ 1 - 0
gogs-drone/gogs/data/git/.ssh/environment

@@ -0,0 +1 @@
+GOGS_CUSTOM=/data/gogs

+ 1 - 0
gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/HEAD

@@ -0,0 +1 @@
+ref: refs/heads/master

+ 5 - 0
gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/config

@@ -0,0 +1,5 @@
+[core]
+	repositoryformatversion = 0
+	filemode = true
+	bare = true
+	ignorecase = true

+ 1 - 0
gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/description

@@ -0,0 +1 @@
+Unnamed repository; edit this file 'description' to name the repository.

+ 15 - 0
gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/hooks/applypatch-msg.sample

@@ -0,0 +1,15 @@
+#!/bin/sh
+#
+# An example hook script to check the commit log message taken by
+# applypatch from an e-mail message.
+#
+# The hook should exit with non-zero status after issuing an
+# appropriate message if it wants to stop the commit.  The hook is
+# allowed to edit the commit message file.
+#
+# To enable this hook, rename this file to "applypatch-msg".
+
+. git-sh-setup
+commitmsg="$(git rev-parse --git-path hooks/commit-msg)"
+test -x "$commitmsg" && exec "$commitmsg" ${1+"$@"}
+:

+ 24 - 0
gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/hooks/commit-msg.sample

@@ -0,0 +1,24 @@
+#!/bin/sh
+#
+# An example hook script to check the commit log message.
+# Called by "git commit" with one argument, the name of the file
+# that has the commit message.  The hook should exit with non-zero
+# status after issuing an appropriate message if it wants to stop the
+# commit.  The hook is allowed to edit the commit message file.
+#
+# To enable this hook, rename this file to "commit-msg".
+
+# Uncomment the below to add a Signed-off-by line to the message.
+# Doing this in a hook is a bad idea in general, but the prepare-commit-msg
+# hook is more suited to it.
+#
+# SOB=$(git var GIT_AUTHOR_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p')
+# grep -qs "^$SOB" "$1" || echo "$SOB" >> "$1"
+
+# This example catches duplicate Signed-off-by lines.
+
+test "" = "$(grep '^Signed-off-by: ' "$1" |
+	 sort | uniq -c | sed -e '/^[ 	]*1[ 	]/d')" || {
+	echo >&2 Duplicate Signed-off-by lines.
+	exit 1
+}

+ 2 - 0
gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/hooks/post-receive

@@ -0,0 +1,2 @@
+#!/usr/bin/env bash
+"/app/gogs/gogs" hook --config='/data/gogs/conf/app.ini' post-receive

+ 8 - 0
gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/hooks/post-update.sample

@@ -0,0 +1,8 @@
+#!/bin/sh
+#
+# An example hook script to prepare a packed repository for use over
+# dumb transports.
+#
+# To enable this hook, rename this file to "post-update".
+
+exec git update-server-info

+ 14 - 0
gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/hooks/pre-applypatch.sample

@@ -0,0 +1,14 @@
+#!/bin/sh
+#
+# An example hook script to verify what is about to be committed
+# by applypatch from an e-mail message.
+#
+# The hook should exit with non-zero status after issuing an
+# appropriate message if it wants to stop the commit.
+#
+# To enable this hook, rename this file to "pre-applypatch".
+
+. git-sh-setup
+precommit="$(git rev-parse --git-path hooks/pre-commit)"
+test -x "$precommit" && exec "$precommit" ${1+"$@"}
+:

+ 49 - 0
gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/hooks/pre-commit.sample

@@ -0,0 +1,49 @@
+#!/bin/sh
+#
+# An example hook script to verify what is about to be committed.
+# Called by "git commit" with no arguments.  The hook should
+# exit with non-zero status after issuing an appropriate message if
+# it wants to stop the commit.
+#
+# To enable this hook, rename this file to "pre-commit".
+
+if git rev-parse --verify HEAD >/dev/null 2>&1
+then
+	against=HEAD
+else
+	# Initial commit: diff against an empty tree object
+	against=$(git hash-object -t tree /dev/null)
+fi
+
+# If you want to allow non-ASCII filenames set this variable to true.
+allownonascii=$(git config --type=bool hooks.allownonascii)
+
+# Redirect output to stderr.
+exec 1>&2
+
+# Cross platform projects tend to avoid non-ASCII filenames; prevent
+# them from being added to the repository. We exploit the fact that the
+# printable range starts at the space character and ends with tilde.
+if [ "$allownonascii" != "true" ] &&
+	# Note that the use of brackets around a tr range is ok here, (it's
+	# even required, for portability to Solaris 10's /usr/bin/tr), since
+	# the square bracket bytes happen to fall in the designated range.
+	test $(git diff --cached --name-only --diff-filter=A -z $against |
+	  LC_ALL=C tr -d '[ -~]\0' | wc -c) != 0
+then
+	cat <<\EOF
+Error: Attempt to add a non-ASCII file name.
+
+This can cause problems if you want to work with people on other platforms.
+
+To be portable it is advisable to rename the file.
+
+If you know what you are doing you can disable this check using:
+
+  git config hooks.allownonascii true
+EOF
+	exit 1
+fi
+
+# If there are whitespace errors, print the offending file names and fail.
+exec git diff-index --check --cached $against --

+ 13 - 0
gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/hooks/pre-merge-commit.sample

@@ -0,0 +1,13 @@
+#!/bin/sh
+#
+# An example hook script to verify what is about to be committed.
+# Called by "git merge" with no arguments.  The hook should
+# exit with non-zero status after issuing an appropriate message to
+# stderr if it wants to stop the merge commit.
+#
+# To enable this hook, rename this file to "pre-merge-commit".
+
+. git-sh-setup
+test -x "$GIT_DIR/hooks/pre-commit" &&
+        exec "$GIT_DIR/hooks/pre-commit"
+:

+ 53 - 0
gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/hooks/pre-push.sample

@@ -0,0 +1,53 @@
+#!/bin/sh
+
+# An example hook script to verify what is about to be pushed.  Called by "git
+# push" after it has checked the remote status, but before anything has been
+# pushed.  If this script exits with a non-zero status nothing will be pushed.
+#
+# This hook is called with the following parameters:
+#
+# $1 -- Name of the remote to which the push is being done
+# $2 -- URL to which the push is being done
+#
+# If pushing without using a named remote those arguments will be equal.
+#
+# Information about the commits which are being pushed is supplied as lines to
+# the standard input in the form:
+#
+#   <local ref> <local oid> <remote ref> <remote oid>
+#
+# This sample shows how to prevent push of commits where the log message starts
+# with "WIP" (work in progress).
+
+remote="$1"
+url="$2"
+
+zero=$(git hash-object --stdin </dev/null | tr '[0-9a-f]' '0')
+
+while read local_ref local_oid remote_ref remote_oid
+do
+	if test "$local_oid" = "$zero"
+	then
+		# Handle delete
+		:
+	else
+		if test "$remote_oid" = "$zero"
+		then
+			# New branch, examine all commits
+			range="$local_oid"
+		else
+			# Update to existing branch, examine new commits
+			range="$remote_oid..$local_oid"
+		fi
+
+		# Check for WIP commit
+		commit=$(git rev-list -n 1 --grep '^WIP' "$range")
+		if test -n "$commit"
+		then
+			echo >&2 "Found WIP commit in $local_ref, not pushing"
+			exit 1
+		fi
+	fi
+done
+
+exit 0

+ 169 - 0
gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/hooks/pre-rebase.sample

@@ -0,0 +1,169 @@
+#!/bin/sh
+#
+# Copyright (c) 2006, 2008 Junio C Hamano
+#
+# The "pre-rebase" hook is run just before "git rebase" starts doing
+# its job, and can prevent the command from running by exiting with
+# non-zero status.
+#
+# The hook is called with the following parameters:
+#
+# $1 -- the upstream the series was forked from.
+# $2 -- the branch being rebased (or empty when rebasing the current branch).
+#
+# This sample shows how to prevent topic branches that are already
+# merged to 'next' branch from getting rebased, because allowing it
+# would result in rebasing already published history.
+
+publish=next
+basebranch="$1"
+if test "$#" = 2
+then
+	topic="refs/heads/$2"
+else
+	topic=`git symbolic-ref HEAD` ||
+	exit 0 ;# we do not interrupt rebasing detached HEAD
+fi
+
+case "$topic" in
+refs/heads/??/*)
+	;;
+*)
+	exit 0 ;# we do not interrupt others.
+	;;
+esac
+
+# Now we are dealing with a topic branch being rebased
+# on top of master.  Is it OK to rebase it?
+
+# Does the topic really exist?
+git show-ref -q "$topic" || {
+	echo >&2 "No such branch $topic"
+	exit 1
+}
+
+# Is topic fully merged to master?
+not_in_master=`git rev-list --pretty=oneline ^master "$topic"`
+if test -z "$not_in_master"
+then
+	echo >&2 "$topic is fully merged to master; better remove it."
+	exit 1 ;# we could allow it, but there is no point.
+fi
+
+# Is topic ever merged to next?  If so you should not be rebasing it.
+only_next_1=`git rev-list ^master "^$topic" ${publish} | sort`
+only_next_2=`git rev-list ^master           ${publish} | sort`
+if test "$only_next_1" = "$only_next_2"
+then
+	not_in_topic=`git rev-list "^$topic" master`
+	if test -z "$not_in_topic"
+	then
+		echo >&2 "$topic is already up to date with master"
+		exit 1 ;# we could allow it, but there is no point.
+	else
+		exit 0
+	fi
+else
+	not_in_next=`git rev-list --pretty=oneline ^${publish} "$topic"`
+	/usr/bin/perl -e '
+		my $topic = $ARGV[0];
+		my $msg = "* $topic has commits already merged to public branch:\n";
+		my (%not_in_next) = map {
+			/^([0-9a-f]+) /;
+			($1 => 1);
+		} split(/\n/, $ARGV[1]);
+		for my $elem (map {
+				/^([0-9a-f]+) (.*)$/;
+				[$1 => $2];
+			} split(/\n/, $ARGV[2])) {
+			if (!exists $not_in_next{$elem->[0]}) {
+				if ($msg) {
+					print STDERR $msg;
+					undef $msg;
+				}
+				print STDERR " $elem->[1]\n";
+			}
+		}
+	' "$topic" "$not_in_next" "$not_in_master"
+	exit 1
+fi
+
+<<\DOC_END
+
+This sample hook safeguards topic branches that have been
+published from being rewound.
+
+The workflow assumed here is:
+
+ * Once a topic branch forks from "master", "master" is never
+   merged into it again (either directly or indirectly).
+
+ * Once a topic branch is fully cooked and merged into "master",
+   it is deleted.  If you need to build on top of it to correct
+   earlier mistakes, a new topic branch is created by forking at
+   the tip of the "master".  This is not strictly necessary, but
+   it makes it easier to keep your history simple.
+
+ * Whenever you need to test or publish your changes to topic
+   branches, merge them into "next" branch.
+
+The script, being an example, hardcodes the publish branch name
+to be "next", but it is trivial to make it configurable via
+$GIT_DIR/config mechanism.
+
+With this workflow, you would want to know:
+
+(1) ... if a topic branch has ever been merged to "next".  Young
+    topic branches can have stupid mistakes you would rather
+    clean up before publishing, and things that have not been
+    merged into other branches can be easily rebased without
+    affecting other people.  But once it is published, you would
+    not want to rewind it.
+
+(2) ... if a topic branch has been fully merged to "master".
+    Then you can delete it.  More importantly, you should not
+    build on top of it -- other people may already want to
+    change things related to the topic as patches against your
+    "master", so if you need further changes, it is better to
+    fork the topic (perhaps with the same name) afresh from the
+    tip of "master".
+
+Let's look at this example:
+
+		   o---o---o---o---o---o---o---o---o---o "next"
+		  /       /           /           /
+		 /   a---a---b A     /           /
+		/   /               /           /
+	       /   /   c---c---c---c B         /
+	      /   /   /             \         /
+	     /   /   /   b---b C     \       /
+	    /   /   /   /             \     /
+    ---o---o---o---o---o---o---o---o---o---o---o "master"
+
+
+A, B and C are topic branches.
+
+ * A has one fix since it was merged up to "next".
+
+ * B has finished.  It has been fully merged up to "master" and "next",
+   and is ready to be deleted.
+
+ * C has not merged to "next" at all.
+
+We would want to allow C to be rebased, refuse A, and encourage
+B to be deleted.
+
+To compute (1):
+
+	git rev-list ^master ^topic next
+	git rev-list ^master        next
+
+	if these match, topic has not merged in next at all.
+
+To compute (2):
+
+	git rev-list master..topic
+
+	if this is empty, it is fully merged to "master".
+
+DOC_END

+ 2 - 0
gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/hooks/pre-receive

@@ -0,0 +1,2 @@
+#!/usr/bin/env bash
+"/app/gogs/gogs" hook --config='/data/gogs/conf/app.ini' pre-receive

+ 24 - 0
gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/hooks/pre-receive.sample

@@ -0,0 +1,24 @@
+#!/bin/sh
+#
+# An example hook script to make use of push options.
+# The example simply echoes all push options that start with 'echoback='
+# and rejects all pushes when the "reject" push option is used.
+#
+# To enable this hook, rename this file to "pre-receive".
+
+if test -n "$GIT_PUSH_OPTION_COUNT"
+then
+	i=0
+	while test "$i" -lt "$GIT_PUSH_OPTION_COUNT"
+	do
+		eval "value=\$GIT_PUSH_OPTION_$i"
+		case "$value" in
+		echoback=*)
+			echo "echo from the pre-receive-hook: ${value#*=}" >&2
+			;;
+		reject)
+			exit 1
+		esac
+		i=$((i + 1))
+	done
+fi

+ 42 - 0
gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/hooks/prepare-commit-msg.sample

@@ -0,0 +1,42 @@
+#!/bin/sh
+#
+# An example hook script to prepare the commit log message.
+# Called by "git commit" with the name of the file that has the
+# commit message, followed by the description of the commit
+# message's source.  The hook's purpose is to edit the commit
+# message file.  If the hook fails with a non-zero status,
+# the commit is aborted.
+#
+# To enable this hook, rename this file to "prepare-commit-msg".
+
+# This hook includes three examples. The first one removes the
+# "# Please enter the commit message..." help message.
+#
+# The second includes the output of "git diff --name-status -r"
+# into the message, just before the "git status" output.  It is
+# commented because it doesn't cope with --amend or with squashed
+# commits.
+#
+# The third example adds a Signed-off-by line to the message, that can
+# still be edited.  This is rarely a good idea.
+
+COMMIT_MSG_FILE=$1
+COMMIT_SOURCE=$2
+SHA1=$3
+
+/usr/bin/perl -i.bak -ne 'print unless(m/^. Please enter the commit message/..m/^#$/)' "$COMMIT_MSG_FILE"
+
+# case "$COMMIT_SOURCE,$SHA1" in
+#  ,|template,)
+#    /usr/bin/perl -i.bak -pe '
+#       print "\n" . `git diff --cached --name-status -r`
+# 	 if /^#/ && $first++ == 0' "$COMMIT_MSG_FILE" ;;
+#  *) ;;
+# esac
+
+# SOB=$(git var GIT_COMMITTER_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p')
+# git interpret-trailers --in-place --trailer "$SOB" "$COMMIT_MSG_FILE"
+# if test -z "$COMMIT_SOURCE"
+# then
+#   /usr/bin/perl -i.bak -pe 'print "\n" if !$first_line++' "$COMMIT_MSG_FILE"
+# fi

+ 78 - 0
gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/hooks/push-to-checkout.sample

@@ -0,0 +1,78 @@
+#!/bin/sh
+
+# An example hook script to update a checked-out tree on a git push.
+#
+# This hook is invoked by git-receive-pack(1) when it reacts to git
+# push and updates reference(s) in its repository, and when the push
+# tries to update the branch that is currently checked out and the
+# receive.denyCurrentBranch configuration variable is set to
+# updateInstead.
+#
+# By default, such a push is refused if the working tree and the index
+# of the remote repository has any difference from the currently
+# checked out commit; when both the working tree and the index match
+# the current commit, they are updated to match the newly pushed tip
+# of the branch. This hook is to be used to override the default
+# behaviour; however the code below reimplements the default behaviour
+# as a starting point for convenient modification.
+#
+# The hook receives the commit with which the tip of the current
+# branch is going to be updated:
+commit=$1
+
+# It can exit with a non-zero status to refuse the push (when it does
+# so, it must not modify the index or the working tree).
+die () {
+	echo >&2 "$*"
+	exit 1
+}
+
+# Or it can make any necessary changes to the working tree and to the
+# index to bring them to the desired state when the tip of the current
+# branch is updated to the new commit, and exit with a zero status.
+#
+# For example, the hook can simply run git read-tree -u -m HEAD "$1"
+# in order to emulate git fetch that is run in the reverse direction
+# with git push, as the two-tree form of git read-tree -u -m is
+# essentially the same as git switch or git checkout that switches
+# branches while keeping the local changes in the working tree that do
+# not interfere with the difference between the branches.
+
+# The below is a more-or-less exact translation to shell of the C code
+# for the default behaviour for git's push-to-checkout hook defined in
+# the push_to_deploy() function in builtin/receive-pack.c.
+#
+# Note that the hook will be executed from the repository directory,
+# not from the working tree, so if you want to perform operations on
+# the working tree, you will have to adapt your code accordingly, e.g.
+# by adding "cd .." or using relative paths.
+
+if ! git update-index -q --ignore-submodules --refresh
+then
+	die "Up-to-date check failed"
+fi
+
+if ! git diff-files --quiet --ignore-submodules --
+then
+	die "Working directory has unstaged changes"
+fi
+
+# This is a rough translation of:
+#
+#   head_has_history() ? "HEAD" : EMPTY_TREE_SHA1_HEX
+if git cat-file -e HEAD 2>/dev/null
+then
+	head=HEAD
+else
+	head=$(git hash-object -t tree --stdin </dev/null)
+fi
+
+if ! git diff-index --quiet --cached --ignore-submodules $head --
+then
+	die "Working directory has staged changes"
+fi
+
+if ! git read-tree -u -m "$commit"
+then
+	die "Could not update working tree to new HEAD"
+fi

+ 2 - 0
gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/hooks/update

@@ -0,0 +1,2 @@
+#!/usr/bin/env bash
+"/app/gogs/gogs" hook --config='/data/gogs/conf/app.ini' update $1 $2 $3

+ 128 - 0
gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/hooks/update.sample

@@ -0,0 +1,128 @@
+#!/bin/sh
+#
+# An example hook script to block unannotated tags from entering.
+# Called by "git receive-pack" with arguments: refname sha1-old sha1-new
+#
+# To enable this hook, rename this file to "update".
+#
+# Config
+# ------
+# hooks.allowunannotated
+#   This boolean sets whether unannotated tags will be allowed into the
+#   repository.  By default they won't be.
+# hooks.allowdeletetag
+#   This boolean sets whether deleting tags will be allowed in the
+#   repository.  By default they won't be.
+# hooks.allowmodifytag
+#   This boolean sets whether a tag may be modified after creation. By default
+#   it won't be.
+# hooks.allowdeletebranch
+#   This boolean sets whether deleting branches will be allowed in the
+#   repository.  By default they won't be.
+# hooks.denycreatebranch
+#   This boolean sets whether remotely creating branches will be denied
+#   in the repository.  By default this is allowed.
+#
+
+# --- Command line
+refname="$1"
+oldrev="$2"
+newrev="$3"
+
+# --- Safety check
+if [ -z "$GIT_DIR" ]; then
+	echo "Don't run this script from the command line." >&2
+	echo " (if you want, you could supply GIT_DIR then run" >&2
+	echo "  $0 <ref> <oldrev> <newrev>)" >&2
+	exit 1
+fi
+
+if [ -z "$refname" -o -z "$oldrev" -o -z "$newrev" ]; then
+	echo "usage: $0 <ref> <oldrev> <newrev>" >&2
+	exit 1
+fi
+
+# --- Config
+allowunannotated=$(git config --type=bool hooks.allowunannotated)
+allowdeletebranch=$(git config --type=bool hooks.allowdeletebranch)
+denycreatebranch=$(git config --type=bool hooks.denycreatebranch)
+allowdeletetag=$(git config --type=bool hooks.allowdeletetag)
+allowmodifytag=$(git config --type=bool hooks.allowmodifytag)
+
+# check for no description
+projectdesc=$(sed -e '1q' "$GIT_DIR/description")
+case "$projectdesc" in
+"Unnamed repository"* | "")
+	echo "*** Project description file hasn't been set" >&2
+	exit 1
+	;;
+esac
+
+# --- Check types
+# if $newrev is 0000...0000, it's a commit to delete a ref.
+zero=$(git hash-object --stdin </dev/null | tr '[0-9a-f]' '0')
+if [ "$newrev" = "$zero" ]; then
+	newrev_type=delete
+else
+	newrev_type=$(git cat-file -t $newrev)
+fi
+
+case "$refname","$newrev_type" in
+	refs/tags/*,commit)
+		# un-annotated tag
+		short_refname=${refname##refs/tags/}
+		if [ "$allowunannotated" != "true" ]; then
+			echo "*** The un-annotated tag, $short_refname, is not allowed in this repository" >&2
+			echo "*** Use 'git tag [ -a | -s ]' for tags you want to propagate." >&2
+			exit 1
+		fi
+		;;
+	refs/tags/*,delete)
+		# delete tag
+		if [ "$allowdeletetag" != "true" ]; then
+			echo "*** Deleting a tag is not allowed in this repository" >&2
+			exit 1
+		fi
+		;;
+	refs/tags/*,tag)
+		# annotated tag
+		if [ "$allowmodifytag" != "true" ] && git rev-parse $refname > /dev/null 2>&1
+		then
+			echo "*** Tag '$refname' already exists." >&2
+			echo "*** Modifying a tag is not allowed in this repository." >&2
+			exit 1
+		fi
+		;;
+	refs/heads/*,commit)
+		# branch
+		if [ "$oldrev" = "$zero" -a "$denycreatebranch" = "true" ]; then
+			echo "*** Creating a branch is not allowed in this repository" >&2
+			exit 1
+		fi
+		;;
+	refs/heads/*,delete)
+		# delete branch
+		if [ "$allowdeletebranch" != "true" ]; then
+			echo "*** Deleting a branch is not allowed in this repository" >&2
+			exit 1
+		fi
+		;;
+	refs/remotes/*,commit)
+		# tracking branch
+		;;
+	refs/remotes/*,delete)
+		# delete tracking branch
+		if [ "$allowdeletebranch" != "true" ]; then
+			echo "*** Deleting a tracking branch is not allowed in this repository" >&2
+			exit 1
+		fi
+		;;
+	*)
+		# Anything else (is there anything else?)
+		echo "*** Update hook: unknown type of update to ref $refname of type $newrev_type" >&2
+		exit 1
+		;;
+esac
+
+# --- Finished
+exit 0

+ 6 - 0
gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/info/exclude

@@ -0,0 +1,6 @@
+# git ls-files --others --exclude-from=.git/info/exclude
+# Lines that start with '#' are comments.
+# For a project mostly in C, the following would be a good set of
+# exclude patterns (uncomment them if you want to use them):
+# *.[oa]
+# *~

+ 1 - 0
gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/info/refs

@@ -0,0 +1 @@
+341372ece23ae618b77d697d4b9555ff2a4bc33d	refs/heads/master

二进制
gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/objects/0a/627ae022ebc6b265c3e95d47d3a0f0ce580ed4


二进制
gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/objects/10/8ade9d1303875a9016eb82bf7ba6b3ee0ce27d


二进制
gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/objects/32/ddefa4dbdb6c9c314d175eb1f3fecf938ea196


+ 1 - 0
gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/objects/34/1372ece23ae618b77d697d4b9555ff2a4bc33d

@@ -0,0 +1 @@
+xuÍA!@Qל¢{S„NÁã5\Ó‰Ä Öû;—n^òKo­*Xw:D`IL)å Î!%"ÌTæ²Xœ„£Í‰3G&}ôÞÜ*œñu]¥·؉ƒw1"âÙê6PùCýÑÅ5�—ž`ý)P*¨¼Õ|r--@

+ 4 - 0
gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/objects/79/3f9405dd683efe78e3c8dd35b7451fe8669c41

@@ -0,0 +1,4 @@
+xMŤÁ
+Â0D˝vżbÉ)•šŞGÁ“AÁôŇ�¦Á4)u‹‚ôßM{ň2;03o+*Ü®7‹Nާ4[i=€m»ĐrH�±Ô•PˇÍŤő+ĽU“c1óšň†¨c�Ô�Wóś§ř…$V
+EănŹńŠŁ®ĺŕ�§™8wÎňF;X†‚+\NőCđ¤?4ł%ηňʧ_âF’†WyÉ�Í;|‡Ţ=XÄŽ)Śđ
+¶A

二进制
gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/objects/7d/2fcc429a5eb4b8f0efad120ab383677e83af72


二进制
gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/objects/a1/949a636630f64492ca574f2ccbd117f08f05ad


二进制
gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/objects/b2/562be82f53aa3ddcdaa7aad3909476e5c748fe


二进制
gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/objects/c0/3a12829280e42e6bbab7f01dafa74a82faa7cb


二进制
gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/objects/c0/76ccd5abd9ea148bbbc368024bd04e5a745513


二进制
gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/objects/c8/4fb8c5290f810a04be4eb63acb438397759019


二进制
gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/objects/ca/7ed55c01b72852fb46981aa810a7a91e1371aa


二进制
gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/objects/f6/f6b5ed271d1511afa74ac801df2e37a691d607


二进制
gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/objects/fa/2792a0783ab4caff45b5f38c0cc7bc20f684aa


二进制
gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/objects/fa/75aab8e3305a550b5cdcf106e78701ba7b5835


+ 1 - 0
gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/objects/info/packs

@@ -0,0 +1 @@
+

+ 1 - 0
gogs-drone/gogs/data/git/gogs-repositories/ping/drone-test.git/refs/heads/master

@@ -0,0 +1 @@
+341372ece23ae618b77d697d4b9555ff2a4bc33d

+ 55 - 0
gogs-drone/gogs/data/gogs/conf/app.ini

@@ -0,0 +1,55 @@
+BRAND_NAME = Gogs
+RUN_USER   = git
+RUN_MODE   = prod
+
+[database]
+TYPE     = mysql
+HOST     = 192.168.217.1:3306
+NAME     = gogs
+SCHEMA   = public
+USER     = root
+PASSWORD = 123456
+SSL_MODE = disable
+PATH     = /app/gogs/data/gogs.db
+
+[repository]
+ROOT           = /data/git/gogs-repositories
+DEFAULT_BRANCH = master
+
+[server]
+DOMAIN           = 192.168.217.1
+HTTP_PORT        = 3000
+EXTERNAL_URL     = http://192.168.217.1:3000/
+DISABLE_SSH      = false
+SSH_PORT         = 10022
+START_SSH_SERVER = false
+OFFLINE_MODE     = false
+
+[mailer]
+ENABLED = false
+
+[auth]
+REQUIRE_EMAIL_CONFIRMATION  = false
+DISABLE_REGISTRATION        = false
+ENABLE_REGISTRATION_CAPTCHA = true
+REQUIRE_SIGNIN_VIEW         = false
+
+[user]
+ENABLE_EMAIL_NOTIFICATION = false
+
+[picture]
+DISABLE_GRAVATAR        = false
+ENABLE_FEDERATED_AVATAR = false
+
+[session]
+PROVIDER = file
+
+[log]
+MODE      = file
+LEVEL     = Info
+ROOT_PATH = /app/gogs/log
+
+[security]
+INSTALL_LOCK = true
+SECRET_KEY   = tj6HH40S4SXA5UG
+LOCAL_NETWORK_ALLOWLIST = 192.168.217.1

二进制
gogs-drone/gogs/data/gogs/data/sessions/0/3/03ee1e544696477b


二进制
gogs-drone/gogs/data/gogs/data/sessions/1/8/18bc212491b9cc2e


二进制
gogs-drone/gogs/data/gogs/data/sessions/2/e/2e918ff0440ec337


二进制
gogs-drone/gogs/data/gogs/data/sessions/3/8/380f231c30c06c0a


二进制
gogs-drone/gogs/data/gogs/data/sessions/4/4/4412fd3de7f7a077


二进制
gogs-drone/gogs/data/gogs/data/sessions/4/4/441a4e73150058de


二进制
gogs-drone/gogs/data/gogs/data/sessions/4/a/4aed56baae15fb93


二进制
gogs-drone/gogs/data/gogs/data/sessions/5/6/5645473b245fa5f5


二进制
gogs-drone/gogs/data/gogs/data/sessions/7/b/7b11b4b87e145fd0


二进制
gogs-drone/gogs/data/gogs/data/sessions/7/b/7bd4a34a8f43a448


二进制
gogs-drone/gogs/data/gogs/data/sessions/8/4/842a8e584dcee33d


二进制
gogs-drone/gogs/data/gogs/data/sessions/9/b/9bcd2640a267ceb4


二进制
gogs-drone/gogs/data/gogs/data/sessions/a/6/a6cee30b830218d7


二进制
gogs-drone/gogs/data/gogs/data/sessions/c/a/caf950172a1667f9


二进制
gogs-drone/gogs/data/gogs/data/sessions/d/c/dc19ef272672a841


+ 11 - 0
gogs-drone/gogs/data/gogs/log/gogs.log

@@ -0,0 +1,11 @@
+2023/03/10 16:57:54 [ INFO] Gogs 0.14.0+dev
+2023/03/10 16:57:55 [ INFO] Git config user.name set to Gogs
+2023/03/10 16:57:55 [ INFO] Git config user.email set to gogs@fake.local
+2023/03/10 16:57:55 [ INFO] Run mode: Production
+2023/03/10 16:57:55 [ INFO] First-time run install finished!
+2023/03/10 17:09:02 [ INFO] Gogs 0.14.0+dev
+2023/03/10 17:09:02 [ INFO] Run mode: Production
+2023/03/10 17:09:02 [ INFO] Available on http://192.168.217.1:13000/
+2023/03/10 17:10:18 [ INFO] Gogs 0.14.0+dev
+2023/03/10 17:10:18 [ INFO] Run mode: Production
+2023/03/10 17:10:18 [ INFO] Available on http://192.168.217.1:13000/

+ 18 - 0
gogs-drone/gogs/data/gogs/log/gorm.log

@@ -0,0 +1,18 @@
+2023/03/10 16:57:54 gogs.io/gogs/internal/db/migrations/migrations.go:82 record not found
+[6.838ms] [rows:0] SELECT * FROM `version` WHERE id = 1 ORDER BY `version`.`id` LIMIT 1
+2023/03/10 16:57:55 gogs.io/gogs/internal/db/users.go:815 record not found
+[4.481ms] [rows:0] SELECT * FROM `user` WHERE lower_name = 'ping' ORDER BY `user`.`id` LIMIT 1
+2023/03/10 16:58:06 gogs.io/gogs/internal/db/users.go:166 record not found
+[3.187ms] [rows:0] SELECT * FROM `user` WHERE lower_name = 'ping' ORDER BY `user`.`id` LIMIT 1
+2023/03/10 16:58:34 gogs.io/gogs/internal/db/users.go:857 record not found
+[4.344ms] [rows:0] SELECT `id` FROM `user` WHERE lower_name = 'ping' AND id != 0 ORDER BY `user`.`id` LIMIT 1
+2023/03/10 16:58:34 gogs.io/gogs/internal/db/users.go:790 record not found
+[5.511ms] [rows:0] SELECT `user`.`id`,`user`.`lower_name`,`user`.`name`,`user`.`full_name`,`user`.`email`,`user`.`passwd`,`user`.`login_source`,`user`.`login_name`,`user`.`type`,`user`.`location`,`user`.`website`,`user`.`rands`,`user`.`salt`,`user`.`created_unix`,`user`.`updated_unix`,`user`.`last_repo_visibility`,`user`.`max_repo_creation`,`user`.`is_active`,`user`.`is_admin`,`user`.`allow_git_hook`,`user`.`allow_import_local`,`user`.`prohibit_login`,`user`.`avatar`,`user`.`avatar_email`,`user`.`use_custom_avatar`,`user`.`num_followers`,`user`.`num_following`,`user`.`num_stars`,`user`.`num_repos`,`user`.`description`,`user`.`num_teams`,`user`.`num_members` FROM `user` LEFT JOIN email_address ON email_address.uid = user.id WHERE user.type = '0' AND ((user.email = '857067837@qq.com' AND user.is_active = true) OR (email_address.email = '857067837@qq.com' AND email_address.is_activated = true)) ORDER BY `user`.`id` LIMIT 1
+2023/03/10 17:03:25 gogs.io/gogs/internal/db/access_tokens.go:155 record not found
+[3.947ms] [rows:0] SELECT * FROM `access_token` WHERE sha256 = 'd4920526231c217dfa04ab9cc5556d4eefc1d82feaf2fbd29e790ad81a463ded' ORDER BY `access_token`.`id` LIMIT 1
+2023/03/10 17:08:14 gogs.io/gogs/internal/db/access_tokens.go:155 record not found
+[10.359ms] [rows:0] SELECT * FROM `access_token` WHERE sha256 = 'd4920526231c217dfa04ab9cc5556d4eefc1d82feaf2fbd29e790ad81a463ded' ORDER BY `access_token`.`id` LIMIT 1
+2023/03/10 17:08:19 gogs.io/gogs/internal/db/access_tokens.go:155 record not found
+[4.248ms] [rows:0] SELECT * FROM `access_token` WHERE sha256 = 'd4920526231c217dfa04ab9cc5556d4eefc1d82feaf2fbd29e790ad81a463ded' ORDER BY `access_token`.`id` LIMIT 1
+2023/03/10 17:08:19 gogs.io/gogs/internal/db/repos.go:294 record not found
+[8.382ms] [rows:0] SELECT * FROM `repository` WHERE owner_id = 1 AND lower_name = 'drone-demo' ORDER BY `repository`.`id` LIMIT 1

+ 0 - 0
gogs-drone/gogs/data/gogs/log/hooks/post-receive.log


+ 0 - 0
gogs-drone/gogs/data/gogs/log/hooks/pre-receive.log


+ 0 - 0
gogs-drone/gogs/data/gogs/log/hooks/update.log


+ 4 - 0
gogs-drone/gogs/data/gogs/log/hooks/xorm.log

@@ -0,0 +1,4 @@
+2023/03/10 17:18:34 gogs.io/gogs/internal/db/users.go:790 record not found
+[3.457ms] [rows:0] SELECT `user`.`id`,`user`.`lower_name`,`user`.`name`,`user`.`full_name`,`user`.`email`,`user`.`passwd`,`user`.`login_source`,`user`.`login_name`,`user`.`type`,`user`.`location`,`user`.`website`,`user`.`rands`,`user`.`salt`,`user`.`created_unix`,`user`.`updated_unix`,`user`.`last_repo_visibility`,`user`.`max_repo_creation`,`user`.`is_active`,`user`.`is_admin`,`user`.`allow_git_hook`,`user`.`allow_import_local`,`user`.`prohibit_login`,`user`.`avatar`,`user`.`avatar_email`,`user`.`use_custom_avatar`,`user`.`num_followers`,`user`.`num_following`,`user`.`num_stars`,`user`.`num_repos`,`user`.`description`,`user`.`num_teams`,`user`.`num_members` FROM `user` LEFT JOIN email_address ON email_address.uid = user.id WHERE user.type = '0' AND ((user.email = '857@qq.com' AND user.is_active = true) OR (email_address.email = '857@qq.com' AND email_address.is_activated = true)) ORDER BY `user`.`id` LIMIT 1
+2023/03/10 18:00:04 gogs.io/gogs/internal/db/users.go:790 record not found
+[3.751ms] [rows:0] SELECT `user`.`id`,`user`.`lower_name`,`user`.`name`,`user`.`full_name`,`user`.`email`,`user`.`passwd`,`user`.`login_source`,`user`.`login_name`,`user`.`type`,`user`.`location`,`user`.`website`,`user`.`rands`,`user`.`salt`,`user`.`created_unix`,`user`.`updated_unix`,`user`.`last_repo_visibility`,`user`.`max_repo_creation`,`user`.`is_active`,`user`.`is_admin`,`user`.`allow_git_hook`,`user`.`allow_import_local`,`user`.`prohibit_login`,`user`.`avatar`,`user`.`avatar_email`,`user`.`use_custom_avatar`,`user`.`num_followers`,`user`.`num_following`,`user`.`num_stars`,`user`.`num_repos`,`user`.`description`,`user`.`num_teams`,`user`.`num_members` FROM `user` LEFT JOIN email_address ON email_address.uid = user.id WHERE user.type = '0' AND ((user.email = '857@qq.com' AND user.is_active = true) OR (email_address.email = '857@qq.com' AND email_address.is_activated = true)) ORDER BY `user`.`id` LIMIT 1

+ 0 - 0
gogs-drone/gogs/data/gogs/log/xorm.log


+ 21 - 0
gogs-drone/gogs/data/ssh/ssh_host_dsa_key

@@ -0,0 +1,21 @@
+-----BEGIN OPENSSH PRIVATE KEY-----
+b3BlbnNzaC1rZXktdjEAAAAABG5vbmUAAAAEbm9uZQAAAAAAAAABAAABsQAAAAdzc2gtZH
+NzAAAAgQDPx+h2fqvPisxn+7gEYSO4nHnvmtjEpAnmwSTq5FYmRSCb+Dk+Yv7VWT8uQU+x
+Egb1+JBYnNJt1Fy+27L6IC3OShe5I1Oa9XbLihUrZfrabY1D3WUrjSC0gpZXDMHynAo5wd
+2Jkz5dRjy3WCk/t6dfMRh4ThE8IISOs/Yt7WE5jQAAABUAiZc046yMpAiA1DAfPLkr1xBQ
+XG8AAACAaUMDn5b1CwDBx6D4zX5vzs+3tkmIJ2gkKaAE4dE/o4Q9qGv/9ee7qPOH+vS3Vg
+cooCztteuZhPYvQJyoCC82MHiT/QMAt34UfoZaRcGiFOXJKzFgdgk+tJJ2Uwj6dz7i66Ql
+vNfU/vMf5DNGRQDvGU2R9a/nqte/IwZ6sauIlh4AAACADX3gnCbwQSwkW1QdUOAqA1oXIh
+XmTWLOjf4CkZ5ilZ5svsShHVp1/yEBeYWgY/knlxfcL3gVFXYvBtqTS0UOGQAxg6GjwzC1
+DraSXeDUjpNxDPo2xk6uJZ0C8yOW4VfhjcxksWWBjcReBjAIpCrB+YVrvd6khz0nQfDh5I
+TWhk4AAAHoZih6QWYoekEAAAAHc3NoLWRzcwAAAIEAz8fodn6rz4rMZ/u4BGEjuJx575rY
+xKQJ5sEk6uRWJkUgm/g5PmL+1Vk/LkFPsRIG9fiQWJzSbdRcvtuy+iAtzkoXuSNTmvV2y4
+oVK2X62m2NQ91lK40gtIKWVwzB8pwKOcHdiZM+XUY8t1gpP7enXzEYeE4RPCCEjrP2Le1h
+OY0AAAAVAImXNOOsjKQIgNQwHzy5K9cQUFxvAAAAgGlDA5+W9QsAwceg+M1+b87Pt7ZJiC
+doJCmgBOHRP6OEPahr//Xnu6jzh/r0t1YHKKAs7bXrmYT2L0CcqAgvNjB4k/0DALd+FH6G
+WkXBohTlySsxYHYJPrSSdlMI+nc+4uukJbzX1P7zH+QzRkUA7xlNkfWv56rXvyMGerGriJ
+YeAAAAgA194Jwm8EEsJFtUHVDgKgNaFyIV5k1izo3+ApGeYpWebL7EoR1adf8hAXmFoGP5
+J5cX3C94FRV2Lwbak0tFDhkAMYOho8MwtQ62kl3g1I6TcQz6NsZOriWdAvMjluFX4Y3MZL
+FlgY3EXgYwCKQqwfmFa73epIc9J0Hw4eSE1oZOAAAAFGZiCwDO3OCBCZvXSD61N3soBcFi
+AAAAEXJvb3RAOTUxZTM3YmI2MjFjAQI=
+-----END OPENSSH PRIVATE KEY-----

+ 1 - 0
gogs-drone/gogs/data/ssh/ssh_host_dsa_key.pub

@@ -0,0 +1 @@
+ssh-dss AAAAB3NzaC1kc3MAAACBAM/H6HZ+q8+KzGf7uARhI7icee+a2MSkCebBJOrkViZFIJv4OT5i/tVZPy5BT7ESBvX4kFic0m3UXL7bsvogLc5KF7kjU5r1dsuKFStl+tptjUPdZSuNILSCllcMwfKcCjnB3YmTPl1GPLdYKT+3p18xGHhOETwghI6z9i3tYTmNAAAAFQCJlzTjrIykCIDUMB88uSvXEFBcbwAAAIBpQwOflvULAMHHoPjNfm/Oz7e2SYgnaCQpoATh0T+jhD2oa//157uo84f69LdWByigLO2165mE9i9AnKgILzYweJP9AwC3fhR+hlpFwaIU5ckrMWB2CT60knZTCPp3PuLrpCW819T+8x/kM0ZFAO8ZTZH1r+eq178jBnqxq4iWHgAAAIANfeCcJvBBLCRbVB1Q4CoDWhciFeZNYs6N/gKRnmKVnmy+xKEdWnX/IQF5haBj+SeXF9wveBUVdi8G2pNLRQ4ZADGDoaPDMLUOtpJd4NSOk3EM+jbGTq4lnQLzI5bhV+GNzGSxZYGNxF4GMAikKsH5hWu93qSHPSdB8OHkhNaGTg== root@951e37bb621c

+ 9 - 0
gogs-drone/gogs/data/ssh/ssh_host_ecdsa_key

@@ -0,0 +1,9 @@
+-----BEGIN OPENSSH PRIVATE KEY-----
+b3BlbnNzaC1rZXktdjEAAAAABG5vbmUAAAAEbm9uZQAAAAAAAAABAAAAaAAAABNlY2RzYS
+1zaGEyLW5pc3RwMjU2AAAACG5pc3RwMjU2AAAAQQTifc5MHZFW9eTNPeFMGBs8y4CAepsQ
+lb5sDvS2vK8+jDwtaLDuwpkS3r8Qc/Bsb+VgryeOzUGF14taz6Op8+7+AAAAsLgxbDO4MW
+wzAAAAE2VjZHNhLXNoYTItbmlzdHAyNTYAAAAIbmlzdHAyNTYAAABBBOJ9zkwdkVb15M09
+4UwYGzzLgIB6mxCVvmwO9La8rz6MPC1osO7CmRLevxBz8Gxv5WCvJ47NQYXXi1rPo6nz7v
+4AAAAhAO/4NgBUqX+AWecqmp5VSQf+v7ohwrHGHw2ul7ieakv/AAAAEXJvb3RAOTUxZTM3
+YmI2MjFjAQIDBAUG
+-----END OPENSSH PRIVATE KEY-----

+ 1 - 0
gogs-drone/gogs/data/ssh/ssh_host_ecdsa_key.pub

@@ -0,0 +1 @@
+ecdsa-sha2-nistp256 AAAAE2VjZHNhLXNoYTItbmlzdHAyNTYAAAAIbmlzdHAyNTYAAABBBOJ9zkwdkVb15M094UwYGzzLgIB6mxCVvmwO9La8rz6MPC1osO7CmRLevxBz8Gxv5WCvJ47NQYXXi1rPo6nz7v4= root@951e37bb621c

+ 7 - 0
gogs-drone/gogs/data/ssh/ssh_host_ed25519_key

@@ -0,0 +1,7 @@
+-----BEGIN OPENSSH PRIVATE KEY-----
+b3BlbnNzaC1rZXktdjEAAAAABG5vbmUAAAAEbm9uZQAAAAAAAAABAAAAMwAAAAtzc2gtZW
+QyNTUxOQAAACC9Q2Zbc3kGulIA4KLHMlQY3gpvnLI6huQyZyh5J9HKogAAAJjFGFU1xRhV
+NQAAAAtzc2gtZWQyNTUxOQAAACC9Q2Zbc3kGulIA4KLHMlQY3gpvnLI6huQyZyh5J9HKog
+AAAEByZihNeFqx4wV/+NNIu+HW+xGC0RGOAcXof9OkOQVZnr1DZltzeQa6UgDgoscyVBje
+Cm+csjqG5DJnKHkn0cqiAAAAEXJvb3RAOTUxZTM3YmI2MjFjAQIDBA==
+-----END OPENSSH PRIVATE KEY-----

+ 1 - 0
gogs-drone/gogs/data/ssh/ssh_host_ed25519_key.pub

@@ -0,0 +1 @@
+ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIL1DZltzeQa6UgDgoscyVBjeCm+csjqG5DJnKHkn0cqi root@951e37bb621c

+ 38 - 0
gogs-drone/gogs/data/ssh/ssh_host_rsa_key

@@ -0,0 +1,38 @@
+-----BEGIN OPENSSH PRIVATE KEY-----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+-----END OPENSSH PRIVATE KEY-----

+ 1 - 0
gogs-drone/gogs/data/ssh/ssh_host_rsa_key.pub

@@ -0,0 +1 @@
+ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABgQCIeXAdgm2TB0MnDue8h2danxqlv0Clcd9yFt/wUCEvymasy3ZkCKYhKoAt7DANc7NTyg6RKv4HPDEd74DNmgCYGdjMf95b0Hhyi1/dHfsswE+PuZ6qpWJUgBlNc6Rp8AY0Mo1IhUaVsy7c1IwkO7LY/Qa7Pmo1ROYqnSSuyLEWOkcHP7FG7Pwc/bCBEjOUclVZ+71ovvdlWeHLIyQboaw0YuPH4l17Dn3HgKDBxtOEo32KUUzq4KWct05NmlUWGNMGds+CBJ481CHLCfsGjt731lXI4F7NQniQXvvWpavKI1/iqUCPBOeyf4eT4aXMtihHnmQljD3CetML+Xv+V5UnJ7JvSxh1EG/nYLw65Gr3YSCLWmyvnEiS+7nC5Nmp+4mIW7rgeJAy1gETXUXz4tPvKj5G7dPFOBoHLNWhZ35WVDuVhVGd8VL29zhFun6GJdtBFa+yjw3onIiOOz+UTEEIkKMG0qny+VvvuAFuUhCfAt9ZpFZUNRfvWVyPppjFDlM= root@951e37bb621c

+ 13 - 0
gogs-drone/gogs/docker-compose.yml

@@ -0,0 +1,13 @@
+version : '3'
+services:
+  gogs:
+    container_name: gogs
+    restart: always
+    image: gogs/gogs
+    ports:
+      - "10022:22"
+      - "13000:3000"
+    volumes:
+      - ./data:/data
+    environment:
+      - TZ=Asia/Shanghai

+ 11 - 0
kpt-event/consumer/docker-composer.yml

@@ -0,0 +1,11 @@
+version : '3'
+services:
+  kptEvent:
+    container_name: kpt_event_consumer
+    restart: always
+    image: xuyiping/kpt-event-consumer:latest
+    environment:
+      APP_ENVIRONMENT: test     # 注意需要修改对应的环境 test dev production
+      KPT_EVENT_WORK_DIR: .
+    volumes:
+      - /var/logger:/bin/logger

+ 7 - 0
kpt-event/consumer/restart.sh

@@ -0,0 +1,7 @@
+#!/bin/bash
+
+docker-compose down
+
+docker rmi xuyiping/kpt-event-consumer:latest
+
+docker-compose up -d

+ 2 - 2
kpt-event/docker-composer.yml → kpt-event/http/docker-composer.yml

@@ -1,9 +1,9 @@
 version : '3'
 services:
   kptEvent:
-    container_name: kptEvent
+    container_name: kpt_event_http
     restart: always
-    image: xuyiping/kpt-event:latest
+    image: xuyiping/kpt-event-http:latest
     environment:
       APP_ENVIRONMENT: test     # 注意需要修改对应的环境 test dev production
       KPT_EVENT_WORK_DIR: .

+ 1 - 1
kpt-event/restart.sh → kpt-event/http/restart.sh

@@ -2,6 +2,6 @@
 
 docker-compose down
 
-docker rmi xuyiping/kpt-event:latest
+docker rmi xuyiping/kpt-event-http:latest
 
 docker-compose up -d